import { request } from '../../service/request'
// import constant from '@/common/js/constant'

// const baseUri = constant.BASE_URI
const auth = '/wx/LingXiConnectController'
// alert('api_lingxi.js==>baseUri:' + baseUri)

// 获取初始码
export function getInitialCode(data) {
    return request({
        url: auth + '/initCode',
        method: 'post',
        data: data
    })
}
// 获取用户信息
export function getUserInfo(data) {
    return request({
        url: auth + '/fetchUserInfo',
        method: 'post',
        data: data
    })
}
export function fetchUserAccessToken(data) {
    return request({
        url: auth + '/fetchUserAccessToken',
        method: 'post',
        data: data
    })
}



// // 获取地址经纬度
// export function getLonAndLat(data) {
//     return request({
//         url: baseUri + auth + '/getLonAndLat',
//         method: 'post',
//         data: data
//     })
// }
